import { __module as o } from "./index-_virtual86.js";
var u;
function p() {
  if (u) return o.exports;
  u = 1;
  function f() {
  }
  return f.prototype = {
    on: function(r, i, e) {
      var t = this.e || (this.e = {});
      return (t[r] || (t[r] = [])).push({
        fn: i,
        ctx: e
      }), this;
    },
    once: function(r, i, e) {
      var t = this;
      function n() {
        t.off(r, n), i.apply(e, arguments);
      }
      return n._ = i, this.on(r, n, e);
    },
    emit: function(r) {
      var i = [].slice.call(arguments, 1), e = ((this.e || (this.e = {}))[r] || []).slice(), t = 0, n = e.length;
      for (t; t < n; t++)
        e[t].fn.apply(e[t].ctx, i);
      return this;
    },
    off: function(r, i) {
      var e = this.e || (this.e = {}), t = e[r], n = [];
      if (t && i)
        for (var s = 0, h = t.length; s < h; s++)
          t[s].fn !== i && t[s].fn._ !== i && n.push(t[s]);
      return n.length ? e[r] = n : delete e[r], this;
    }
  }, o.exports = f, o.exports.TinyEmitter = f, o.exports;
}
export {
  p as __require
};
